VTK: vtkDIYGhostUtilities::GridBlockStructure Struct Reference

| VTK 9.3.1

Public Member Functions | Public Attributes | List of all members
vtkDIYGhostUtilities::GridBlockStructure Struct Reference

Structure to inherit from for data sets having a structured grid topology. More...

`#include <vtkDIYGhostUtilities.h>`

Inheritance diagram for vtkDIYGhostUtilities::GridBlockStructure:
[legend]
Collaboration diagram for vtkDIYGhostUtilities::GridBlockStructure:
[legend]

## Public Member Functions
| GridBlockStructure (const int *extent, int dim)
| `GridBlockStructure` constructor. More...

## Public Attributes
ExtentType | Extent = ExtentType{ 1, -1, 1, -1, 1, -1 }
| Extent of neighboring block with no ghosts. More...
ExtentType | ShiftedExtentWithNewGhosts
| Extent of neighboring block that include ghost layers, shifted to match our mapping of the extent in the 3D world. More...
ExtentType | ShiftedExtent
| Extent of the neighboring block, shifted to match our mapping of the extent in the 3D world. More...
ExtentType | ReceivedGhostExtent = ExtentType{ 1, -1, 1, -1, 1, -1 }
unsigned char | AdjacencyMask
| Binary mask encoding the adjacency of the neighboring block w.r.t. More...
int | DataDimension
| This stores the dimension of the grid (1D, 2D, or 3D). More...
Public Attributes inherited from vtkDIYGhostUtilities::DataSetBlockStructure
vtkSmartPointer< vtkFieldData > | GhostCellData = nullptr
vtkSmartPointer< vtkFieldData > | GhostPointData = nullptr

## Detailed Description

Structure to inherit from for data sets having a structured grid topology.

Definition at line 151 of file vtkDIYGhostUtilities.h.

## Constructor & Destructor Documentation

## ◆ GridBlockStructure()

vtkDIYGhostUtilities::GridBlockStructure::GridBlockStructure | ( | const int * | extent,
|  | int | dim
| ) |  |

`GridBlockStructure` constructor.

It takes the extent of a neighbor block as input.

## Member Data Documentation

## ◆ Extent

ExtentType vtkDIYGhostUtilities::GridBlockStructure::Extent = ExtentType{ 1, -1, 1, -1, 1, -1 }

Extent of neighboring block with no ghosts.

Definition at line 161 of file vtkDIYGhostUtilities.h.

## ◆ ShiftedExtentWithNewGhosts

ExtentType vtkDIYGhostUtilities::GridBlockStructure::ShiftedExtentWithNewGhosts

Extent of neighboring block that include ghost layers, shifted to match our mapping of the extent in the 3D world.

Definition at line 167 of file vtkDIYGhostUtilities.h.

## ◆ ShiftedExtent

ExtentType vtkDIYGhostUtilities::GridBlockStructure::ShiftedExtent

Extent of the neighboring block, shifted to match our mapping of the extent in the 3D world.

Definition at line 172 of file vtkDIYGhostUtilities.h.

## ◆ ReceivedGhostExtent

ExtentType vtkDIYGhostUtilities::GridBlockStructure::ReceivedGhostExtent = ExtentType{ 1, -1, 1, -1, 1, -1 }

Definition at line 174 of file vtkDIYGhostUtilities.h.

## ◆ AdjacencyMask

unsigned char vtkDIYGhostUtilities::GridBlockStructure::AdjacencyMask

Binary mask encoding the adjacency of the neighboring block w.r.t.

current block. This mask shall be written / read using Adjacency enumeration.

Definition at line 180 of file vtkDIYGhostUtilities.h.

## ◆ DataDimension

int vtkDIYGhostUtilities::GridBlockStructure::DataDimension

This stores the dimension of the grid (1D, 2D, or 3D).

Definition at line 185 of file vtkDIYGhostUtilities.h.

The documentation for this struct was generated from the following file:

- Parallel/DIY/vtkDIYGhostUtilities.h